unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, Menus, fileinfo;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    Memo1: TMemo;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure MenuItem1Click(Sender: TObject);
    procedure MenuItem2Click(Sender: TObject);
  private
    { private declarations }
  public
        TimeStart:TTime;
        DateStart:TDate;
        i: Integer;
        Version: TFileVersionInfo;
        MyFile, MyVersion: String;

    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Button1.Caption='Start'then
     begin
          DateStart:=Date;
          TimeStart:=Time;
          Memo1.Lines.Add(Edit1.Text+ ' начало: '+ DateToStr(DateStart)+' '+TimeToStr(TimeStart));
          Button1.Caption:='Stop';

     end
  else
      begin
            Memo1.Lines.Add('            Конец: '+ DateToStr(Date)+' '+TimeToStr(Time));
            Memo1.Lines.Add('            Всего веремни:  '+TimeToStr(Time-TimeStart));
            Button1.Caption:='Start';
      end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
      Version:=TFileVersionInfo.Create(nil);
      Version.fileName:=ParamStr(0);
      Form1.Caption:=Form1.Caption+' '+Version.VersionStrings[2]+' альфа';
end;

procedure TForm1.MenuItem1Click(Sender: TObject);
begin
  Memo1.Lines.SaveToFile('research.txt');
end;

procedure TForm1.MenuItem2Click(Sender: TObject);
begin
     Memo1.Lines.LoadFromFile('research.txt');
end;

initialization
  {$I unit1.lrs}

end.

